All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.wml
Class ColumnHeader

    com.sas.servlet.tbeans.tableview.wml.ColumnHeader

All Implemented Interfaces:
  HoldInterface

    public class ColumnHeader

A ColumnHeader manages the header of the TableView.

See Also:
  `BaseTableView.setColumnHeader(com.sas.servlet.tbeans.tableview.BaseColumnHeader)`

Constructor Summary
`ColumnHeader()` Constructs a ColumnHeader with a default TableColumnModel.
`ColumnHeader(BaseTableView table)` Constructs a ColumnHeader which is initialized with a TableView and a default TableColumnModel.
`ColumnHeader(BaseTableView table, TableColumnModel cm)` Constructs a ColumnHeader which is initialized with a column model.
`ColumnHeader(TableColumnModel cm)` Constructs a ColumnHeader which is initialized with a column model.

Method Summary
`TableCellRenderer` | `createDefaultRenderer()` Returns a default renderer to be used when no header renderer is defined by a TableColumn.

Methods inherited from class com.sas.servlet.tbeans.tableview.BaseColumnHeader
`createDefaultColumnModel, getColumnModel, getHeldIndices, getHeldIndices, hold, hold, isHeld, isHeld, isHoldingAllowed, isHoldingEnabled, release, releaseAll, setColumnModel, setHoldingEnabled`

Methods inherited from class com.sas.servlet.tbeans.tableview.BaseHeader
`getDefaultRenderer, getLocale, getTable, setDefaultRenderer, setLocale, setTable`

Constructor Detail

### ColumnHeader

    public ColumnHeader()

  Constructs a ColumnHeader with a default TableColumnModel.

### ColumnHeader

    public ColumnHeader(TableColumnModel cm)

  Constructs a ColumnHeader which is initialized with a column model. If the column model is null this method will initialize the ColumnHeader with a default TableColumnModel.

  Parameters:
    `columnModel` - the column model for the table

### ColumnHeader

    public ColumnHeader(BaseTableView table)

  Constructs a ColumnHeader which is initialized with a TableView and a default TableColumnModel.

  Parameters:
    `table` - the new TableView

### ColumnHeader

    public ColumnHeader(BaseTableView table,
                        TableColumnModel cm)

  Constructs a ColumnHeader which is initialized with a column model. If the column model is null this method will initialize the ColumnHeader with a default TableColumnModel.

  Parameters:
    `table` - the new TableView
    `columnModel` - the column model for the table

Method Detail

### createDefaultRenderer

    public TableCellRenderer createDefaultRenderer()

  Returns a default renderer to be used when no header renderer is defined by a TableColumn.

  Specified by:
    `createDefaultRenderer` in class `BaseHeader`
  Returns:
    default renderer to be used when there is no header renderer

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.